summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-03-24 08:17:21 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-03-24 08:17:21 +0700
commite103edec3543aae2f25d4475df9ccd525dac1d38 (patch)
treec5a57f6f8ed31682e3747f77d0a46647721dadb1 /python
parent7077b0feffae84e04efda53ae871ed1a6e3d6ab9 (diff)
downloadslackbuilds-e103edec3543aae2f25d4475df9ccd525dac1d38.tar.gz
slackbuilds-e103edec3543aae2f25d4475df9ccd525dac1d38.tar.xz
python/keybinder: Added (Python bindings for keybinder).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python')
-rw-r--r--python/python-keybinder/README8
-rw-r--r--python/python-keybinder/python-keybinder.SlackBuild87
-rw-r--r--python/python-keybinder/python-keybinder.info10
-rw-r--r--python/python-keybinder/slack-desc19
4 files changed, 124 insertions, 0 deletions
diff --git a/python/python-keybinder/README b/python/python-keybinder/README
new file mode 100644
index 0000000000..a174f4caa6
--- /dev/null
+++ b/python/python-keybinder/README
@@ -0,0 +1,8 @@
+python-keybinder (Python bindings for keybinder)
+
+keybinder is a library for registering global keyboard
+shortcuts. Keybinder works with GTK-based applications using the X
+Window System.
+
+This build only includes the Python bindings for keybinder. The main
+keybinder package is part of Slackware, in the L series.
diff --git a/python/python-keybinder/python-keybinder.SlackBuild b/python/python-keybinder/python-keybinder.SlackBuild
new file mode 100644
index 0000000000..4290c3f1b2
--- /dev/null
+++ b/python/python-keybinder/python-keybinder.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for python-keybinder
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=python-keybinder
+VERSION=${VERSION:-0.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM=keybinder
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --disable-lua \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=`pwd`/tmpinst
+
+# we only care about the python bindings, everything else can be found
+# in Pat's keybinder package.
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX
+mv tmpinst/usr/lib$LIBDIRSUFFIX/python* $PKG/usr/lib$LIBDIRSUFFIX
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/python-keybinder/python-keybinder.info b/python/python-keybinder/python-keybinder.info
new file mode 100644
index 0000000000..7a83b3d7ae
--- /dev/null
+++ b/python/python-keybinder/python-keybinder.info
@@ -0,0 +1,10 @@
+PRGNAM="python-keybinder"
+VERSION="0.3.0"
+HOMEPAGE="http://kaizer.se/wiki/keybinder/"
+DOWNLOAD="ftp://ftp.slackware.com/pub/slackware/slackware-14.1/source/l/keybinder/keybinder-0.3.0.tar.xz"
+MD5SUM="294d5366574f0868c46e6a7312a55a82"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/python/python-keybinder/slack-desc b/python/python-keybinder/slack-desc
new file mode 100644
index 0000000000..8f3ef892ee
--- /dev/null
+++ b/python/python-keybinder/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python-keybinder: python-keybinder (Python bindings for keybinder)
+python-keybinder:
+python-keybinder: keybinder is a library for registering global keyboard
+python-keybinder: shortcuts. Keybinder works with GTK-based applications using the X
+python-keybinder: Window System.
+python-keybinder:
+python-keybinder: This build only includes the Python bindings for keybinder. The main
+python-keybinder: keybinder package is part of Slackware, in the L series.
+python-keybinder:
+python-keybinder:
+python-keybinder: